Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.mappers.filters

Filtering mappers.

Functions

`borrowkwargs`(cls[, methodname, exclude]) | Return a decorator which would borrow docstring for `**kwargs` :Parameters: methodname : None or str Name of the method from which to borrow.
`fft_resample`(ds, num, **kwargs) | FFT-based resampling.
`resample`(x, num[, t, axis, window]) | Resample `x` to `num` samples using Fourier method along the given axis.
`vstack`(datasets) | Stacks datasets vertically (appending samples).

Classes

`Dataset`(samples[, sa, fa, a]) | Generic storage class for datasets with multiple attributes.
`FFTResampleMapper`(num[, window, ...]) | Mapper for FFT-based resampling.
`Mapper`(**kwargs) | Basic mapper interface definition.
`Splitter`(attr[, attr_values, count, ...]) | Generator node for dataset splitting.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »